import Vue from 'vue';

async function getCalculateLive(startDate, endDate) {
    return Vue.axios.get('/admin/calculate/live?startDateStr=' + startDate + '&endDateStr=' + endDate);
}

async function getCalculateContent(startDate, endDate) {
    return Vue.axios.get('/admin/calculate/content-list?startDateStr=' + startDate + '&endDateStr=' + endDate);
}

async function getCumulativeSalesByContent(page, size) {
    return Vue.axios.get('/admin/calculate/cumulative-sales-by-content?page=' + (page - 1) + "&size=" + size);
}

async function getCalculateContentDonation(startDate, endDate) {
    return Vue.axios.get('/admin/calculate/content-donation-list?startDateStr=' + startDate + '&endDateStr=' + endDate);
}

async function getCalculateCommunityPost(startDate, endDate, page, size) {
    return Vue.axios.get(
        '/admin/calculate/community-post?startDateStr=' +
        startDate + '&endDateStr=' + endDate + "&page=" + (page - 1) + "&size=" + size
    );
}

export {
    getCalculateLive,
    getCalculateContent,
    getCumulativeSalesByContent,
    getCalculateContentDonation,
    getCalculateCommunityPost
}
